import "dotenv/config";

const config = {
  LOG_LEVEL: process.env.LOG_LEVEL ?? "debug",
  REDIS_CONN: process.env.REDIS_CONN ?? "redis://localhost:6379/10",
  PUPPETEER_URL: process.env.PUPPETEER_URL ?? "http://localhost:8000/api/v1/visit",
  MASTODON_URL: process.env.MASTODON_URL ?? "https://mastodon.cl/api/v1/",
  MASTODON_ACCESS_TOKEN: process.env.MASTODON_ACCESS_TOKEN ?? "",
  IMG_PLACEHOLDER: process.env.IMG_PLACEHOLDER ?? "https://placehold.co/600x400",
  // PORTALES
  CHILECULTURA: process.env.CHILECULTURA ?? "https://chilecultura.gob.cl/events/",
  DF: process.env.DF ?? "https://www.df.cl/ultimasnoticias",
  ELCIUDADANO: process.env.ELCIUDADANO ?? "https://www.elciudadano.com/",
  ELDESCONCIERTO: process.env.ELDESCONCIERTO ?? "https://eldesconcierto.cl",
  ELMOSTRADOR: process.env.ELMOSTRADOR ?? "https://www.elmostrador.cl/categoria/dia/",
  EMOL: process.env.EMOL ?? "https://www.emol.com",
  INTERFERENCIA: process.env.INTERFERENCIA ?? "https://interferencia.cl/",
  LATERCERA: process.env.LATERCERA ?? "https://www.latercera.com/canal/nacional/",
  THECLINIC: process.env.THECLINIC ?? "https://www.theclinic.cl/lo-ultimo/",
  // KEYS
  MASTODON_KEY_CHILECULTURA: process.env.MASTODON_KEY_CHILECULTURA ?? "",
  MASTODON_KEY_DF: process.env.MASTODON_KEY_DF ?? "",
  MASTODON_KEY_ELCIUDADANO: process.env.MASTODON_KEY_ELCIUDADANO ?? "",
  MASTODON_KEY_ELDESCONCIERTO: process.env.MASTODON_KEY_ELDESCONCIERTO ?? "",
  MASTODON_KEY_ELMOSTRADOR: process.env.MASTODON_KEY_ELMOSTRADOR ?? "",
  MASTODON_KEY_EMOL: process.env.MASTODON_KEY_EMOL ?? "",
  MASTODON_KEY_INTERFERENCIA: process.env.MASTODON_KEY_INTERFERENCIA ?? "",
  MASTODON_KEY_LATERCERA: process.env.MASTODON_KEY_LATERCERA ?? "",
  MASTODON_KEY_THECLINIC: process.env.MASTODON_KEY_THECLINIC ?? "",
};

export default config;
