import ScraperMethods from "../enums/scraper-methods"

export interface IScraperArticlesOptions {
  url: string
  articlesSelector: string
  titleSelector: string
  contentSelector?: string
  linkSelector: string
  linkPrefix?: string
  imageSelector?: string
  authorSelector?: string
  dateSelector?: string
  scraperMethod: ScraperMethods
  cacheExpiration?: number
  hashtags?: Array<string>
};
